Community
cancel
Showing results for 
Search instead for 
Did you mean: 
164 Views

Error with cmake at demo_security_barrier_camera.sh

I had a previous version of OpenVINO installed, but I unistalled it before I began to install this one. Also, I have another version of OpenCV installed, with golang's gocv.

 

./demo_security_barrier_camera.sh
target_precision = FP32
Run sudo -E apt -y install build-essential cmake libpng12-dev libcairo2-dev libpango1.0-dev libglib2.0-dev libgtk2.0-dev libswscale-dev libavcodec-dev libavformat-dev libgstreamer1.0-0 gstreamer1.0-plugins-base
Hit:1 http://updatesite.sierrawireless.com/legato-spm/debian release/ InRelease
Ign:2 http://dl.google.com/linux/chrome/deb stable InRelease                                                                                                                                               
Hit:3 http://linux.teamviewer.com/deb stable InRelease                                                                                                                                                     
Hit:4 http://dl.google.com/linux/chrome/deb stable Release                                                                                                                                                 
Hit:6 http://ar.archive.ubuntu.com/ubuntu xenial InRelease                                                                                    
Hit:7 http://packages.microsoft.com/repos/vscode stable InRelease                                                   
Get:8 http://security.ubuntu.com/ubuntu xenial-security InRelease [107 kB]                                          
Hit:9 https://deb.nodesource.com/node_11.x xenial InRelease                                               
Hit:10 http://ar.archive.ubuntu.com/ubuntu xenial-updates InRelease                                       
Hit:11 http://ppa.launchpad.net/certbot/certbot/ubuntu xenial InRelease                                   
Get:12 http://ar.archive.ubuntu.com/ubuntu xenial-backports InRelease [107 kB]                                                        
Hit:13 https://download.docker.com/linux/ubuntu xenial InRelease                                                                                 
Hit:14 http://ppa.launchpad.net/gophers/archive/ubuntu xenial InRelease                                                
Hit:15 http://ppa.launchpad.net/longsleep/golang-backports/ubuntu xenial InRelease                              
Hit:16 http://ppa.launchpad.net/obsproject/obs-studio/ubuntu xenial InRelease  
Hit:17 http://ppa.launchpad.net/webupd8team/sublime-text-2/ubuntu xenial InRelease
Fetched 214 kB in 2s (77,1 kB/s)                   
Reading package lists... Done
Building dependency tree       
Reading state information... Done
18 packages can be upgraded. Run 'apt list --upgradable' to see them.
Reading package lists... Done
Building dependency tree       
Reading state information... Done
build-essential is already the newest version (12.1ubuntu2).
libcairo2-dev is already the newest version (1.14.6-1).
libpango1.0-dev is already the newest version (1.38.1-1).
cmake is already the newest version (3.5.1-1ubuntu3).
gstreamer1.0-plugins-base is already the newest version (1.8.3-1ubuntu0.2).
libglib2.0-dev is already the newest version (2.48.2-0ubuntu4.1).
libgstreamer1.0-0 is already the newest version (1.8.3-1~ubuntu0.1).
libgtk2.0-dev is already the newest version (2.24.30-1ubuntu1.16.04.2).
libpng12-dev is already the newest version (1.2.54-1ubuntu1.1).
libavcodec-dev is already the newest version (7:2.8.15-0ubuntu0.16.04.1).
libavformat-dev is already the newest version (7:2.8.15-0ubuntu0.16.04.1).
libswscale-dev is already the newest version (7:2.8.15-0ubuntu0.16.04.1).
0 upgraded, 0 newly installed, 0 to remove and 18 not upgraded.


###################################################

Build Inference Engine samples

CMake Error: The source "/opt/intel/computer_vision_sdk_2018.4.420/deployment_tools/inference_engine/samples/CMakeLists.txt" does not match the source "/opt/intel/computer_vision_sdk_2018.3.343/deployment_tools/inference_engine/samples/CMakeLists.txt" used to generate cache.  Re-run cmake with a different source directory.
Error on or near line 134; exiting with status 1
 

0 Kudos
3 Replies
mahinlma
New Contributor I
164 Views

from your error:

CMake Error: The source "/opt/intel/computer_vision_sdk_2018.4.420/deployment_tools/inference_engine/samples/CMakeLists.txt" does not match the source "/opt/intel/computer_vision_sdk_2018.3.343/deployment_tools/inference_engine/samples/CMakeLists.txt"

 

Version mismatch.

Initialize required version and try.

 

nikos1
Valued Contributor I
164 Views

Version mismatch indeed.

You may want to delete both older versions ( computer_vision_sdk_2018.4.420 and computer_vision_sdk_2018.3.343 ) and try again with just the new released today R5.

 

Chan__William
Beginner
164 Views

run command prompt as an administrator

Reply